## mateconf-locale

mateconf-locale

## Synopsis

                        MateConfLocaleCache;
    MateConfLocaleCache *  mateconf_locale_cache_new              (void);
    void                mateconf_locale_cache_free             (MateConfLocaleCache *cache);
    void                mateconf_locale_cache_expire           (MateConfLocaleCache *cache,
                                                             guint max_age_exclusive_in_seconds);
                        MateConfLocaleList;
    void                mateconf_locale_list_ref               (MateConfLocaleList *list);
    void                mateconf_locale_list_unref             (MateConfLocaleList *list);
    MateConfLocaleList *   mateconf_locale_cache_get_list         (MateConfLocaleCache *cache,
                                                             const gchar *locale);
    gchar **            mateconf_split_locale                  (const gchar *locale);

## Description

## Details

### MateConfLocaleCache

    typedef struct _MateConfLocaleCache MateConfLocaleCache;

### mateconf_locale_cache_new ()

    MateConfLocaleCache *  mateconf_locale_cache_new              (void);

Returns : |

### mateconf_locale_cache_free ()

    void                mateconf_locale_cache_free             (MateConfLocaleCache *cache);

`cache` : |

### mateconf_locale_cache_expire ()

    void                mateconf_locale_cache_expire           (MateConfLocaleCache *cache,
                                                             guint max_age_exclusive_in_seconds);

`cache` : |
`max_age_exclusive_in_seconds` : |

### MateConfLocaleList

    typedef struct {
      const gchar** list;
    } MateConfLocaleList;

### mateconf_locale_list_ref ()

    void                mateconf_locale_list_ref               (MateConfLocaleList *list);

`list` : |

### mateconf_locale_list_unref ()

    void                mateconf_locale_list_unref             (MateConfLocaleList *list);

`list` : |

### mateconf_locale_cache_get_list ()

    MateConfLocaleList *   mateconf_locale_cache_get_list         (MateConfLocaleCache *cache,
                                                             const gchar *locale);

`cache` : |
`locale` : |
Returns : |

### mateconf_split_locale ()

    gchar **            mateconf_split_locale                  (const gchar *locale);

`locale` : |
Returns : |